Subject: Alignement avec \grace en piano

From: JMarc <[email-masked]>
Date: Mon, 24 Feb 2020 04:19:51 -0700 (MST)

Bonjour à toute la liste !

Voici un petit snippet : 

\score {
  \new PianoStaff<<
    \new Staff{\relative c''{c4 c c d \grace{d16 [e f]} e2 d}}
    \new Staff{\relative c{\clef bass c2 c4 b bes a8. fis16 g2}}
    \layout{}
}

J'aimerais que les \grace de la main droite ne décalent pas la main gauche
vers la droite. 
Ca doit être bête comme chou, mais il est possible que je sois moins bon
qu'un chou ces temps-ci 
Merci pour votre aide !
JMarc

-----
JMarc LEGRAND
Editions IN NOMINE
--
Sent from: http://lilypond-french-users.1298960.n2.nabble.com/

---

From: Gilles Thibault <[email-masked]>
Date: Mon, 24 Feb 2020 12:53:37 +0100

> J'aimerais que les \grace de la main droite ne décalent pas la main 

Bonjour
Peut-être \afterGrace ? Mais ça décale les petites notes à gauche de la 
barre de mesure.

\version "2.19.83"
\score {
   \new PianoStaff<<
     \new Staff{\relative c''{c4 c c  \afterGrace d {d16 [e f]} e2 d}}
     \new Staff{\relative c{\clef bass c2 c4 b bes a8. fis16 g2}}
     \layout{}
}

-- 
Gilles

---

From: Valentin Villenave <[email-masked]>
Date: Mon, 24 Feb 2020 12:42:10 +0000

> J'aimerais que les \grace de la main droite ne décalent pas la main gauche

Ah, ces baroqueux…

Je ne trouve pas plus succinct que le hack suivant, qui consiste à
insérer un silence infime (une sextuple-croche en l’occurrence) et à
le rattraper ensuite (un 256e de ronde, c’est-à-dire un 128e de
blanche). Pas très beau mais ça marche.

\score {
  \new PianoStaff<<
    \new Staff \relative c''{c4 c c d s256 \grace {d16 [e f]} e2*127/128 d2}
    \new Staff \relative c{\clef bass c2 c4 b bes a8. fis16 g2}
}

V.

---

From: JMarc <[email-masked]>
Date: Mon, 24 Feb 2020 06:08:35 -0700 (MST)

Mmmm, ce n'est pas ce que je souhaite, mais merci !

-----
JMarc LEGRAND
Editions IN NOMINE

---

From: JMarc <[email-masked]>
Date: Mon, 24 Feb 2020 06:19:45 -0700 (MST)

Mais euh, c'est même pas du baroque : je grave du classique ! 
Cela dit, tu as raison, le comportement par défaut est celui utilisé par les
éditions modernes, effectivement.
Merci pour le truc qui fonctionne parfaitement !
JMarc

-----
JMarc LEGRAND
Editions IN NOMINE

---

From: Gilles Thibault <[email-masked]>
Date: Mon, 24 Feb 2020 16:07:15 +0100

> Mais euh, c'est même pas du baroque : je grave du classique !

Ben oui, c'est "au clair de la lune".

Au passage, qui pourrait me dire de manière claire qu'elle est la 
différence d'interprétation entre :

et ça :

-- 
Gilles

---

From: JMarc <[email-masked]>
Date: Mon, 24 Feb 2020 10:31:49 -0700 (MST)

Dans le 1er cas : les \grace sont jouées dans la durée du ré qui les précède,
et on atterrit sur le e2 sur le temps.
Dans le second, les \grace sont jouées sur le 1er temps de la mesure du e2,
qui n'arrive donc pas sur le temps exactement.

C'est comme cela que je le lis. Mais c'est un très bon troll de musicos, ça 

-----
JMarc LEGRAND
Editions IN NOMINE

---

From: Gilles Thibault <[email-masked]>
Date: Mon, 24 Feb 2020 22:19:35 +0100

> qui n'arrive donc pas sur le temps exactement.

Bon, à la fin du 4ème temps, ou juste avant le 1er, c'est un peu pareil, 
non ?
Mais c'était pas un troll, c'était une vrai question dans mon esprit, 
car dans la musique classique et au delà je n'ai jamais entendu 
quelqu'un qui jouerait exactement sur le 1er temps la \grace du 2ème cas 
( { d4 | \grace {d16 e f} e2 }  )
Mais je me trompe peut-être.

Bonne soirée à tous.

-- 
Gilles

---

From: Pierre Perol-Schneider <[email-masked]>
Date: Tue, 25 Feb 2020 00:42:47 +0100

Salut Gilles,
Non, ça n'est pas pareil.
Ci-joint un exemple concret :
--- Cas A, l'ornementation est placée *avant* la note attachée (une \grace
donc), elle sera jouée *sur* le 1er temps;
--- Cas B, l'ornementation est placée *après* la note attachée (une
\afterGrace donc), et elle sera jouée *avant* le 1er temps de la mesure
suivante (le sol#).
En espérant avoir éclairé ta question ;)
Bien cordialement,
Pierre

---

From: Pierre Perol-Schneider <[email-masked]>
Date: Tue, 25 Feb 2020 01:03:48 +0100

La partition : http://bdh-rd.bne.es/viewer.vm?id=0000109755&page=5
L'interprétation : https://www.youtube.com/watch?v=XOoYmly2yGY
(le choix de l'interprétation tient uniquement au fait qu'il joue toutes
les ornementations.)

Le mar. 25 févr. 2020 à 00:42, Pierre Perol-Schneider <
[email-masked]> a écrit :

> --- Cas A, l'ornementation est placée *avant* la note attachée (une
> \grace donc), elle sera jouée *sur* le 1er temps;

---

From: Pierre Perol-Schneider <[email-masked]>
Date: Tue, 25 Feb 2020 07:35:03 +0100

Remarque 1 : une petite note a une *valeur*; dans l'ex. B on entendra donc
deux fois le sol# (contrairement à un simple glissando), un avant le temps,
l'autre sur le temps.
Remarque 2 : non, par convention on n'aligne pas les petites notes sur le
temps; j'ai ressorti le Danhauser pour le coup : "[les ornements] se
placent avant ou après les notes principales et non comptent *jamais* dans
la mesure"
Bonne journée à toi,
Pierre

Le mar. 25 févr. 2020 à 03:02, Gilles Thibault <[email-masked]> a écrit :

> Le 2020-02-25 00:42, Pierre Perol-Schneider a écrit :
>
>      Salut Gilles,
> \grace
> Merci Pierre pour l'exemple concret, un exemple c'est toujours mieux.
> 2 remarques :
> - S'il faut, dans cet exemple, différencier dans le jeu A et B, quelle
> en serait la justification musicale ? C'est exactement la même formule
> rythmique dans les 2 passages ! Est-ce que ce n'est pas simplement une
> facilité typographique et visuelle pour pouvoir écrire le glissando à B
> ?
> Dans ces 2 passages, je penserais la note réelle bien au fond du temps
> pour avoir une bonne assise rythmique, et placerais la petite note au
> plus près, un petit peu avant, ... en faisant fi donc pour A, des régles
> qu'on nous a appris en solfège.
>
> - Si à A, il faut vraiment jouer la petite note sur le temps, il
> faudrait dans Lilypond, que tous les symboles des voix du dessus, soient
> aligner sur cette petite note. Bon dans l'exemple il n'y a que des
> silences au dessus, mais quand même...
> Aucune édition n'aligne la musique sur la petite note, et je pense
> qu'elles ont toutes raisons, car ça nous force visuellement à viser la
> note *réelle* sur le temps et placer la petite note juste avant. (Je ne
> parle pas des petites notes non barrées dans le baroque, c'est différent
> pour le baroque). Ceci dit, quand les petites notes sont barrées comme
> ici, on peut jouer la petite note assez serrée, et c'est alors quasiment
> sur le temps, et quasiment au même moment que la note réelle.
> Dans l'andante de la symphonie 40, MOZART fait entendre comme des
> appogiatures, mais il met le rythme c32 c32 à la place pour avoir la
> première note sur le temps (voir image)
>
> Bon sur ce, vue l'heure bonne nuit.
>
> NB
> Pierre désolé pour le message en double.
>
> --
> Gilles

---

From: Valentin Villenave <[email-masked]>
Date: Tue, 25 Feb 2020 08:30:55 +0000

> Non, ça n'est pas pareil.

Pour moi, c’est moins une question de rythme que d’appui. Jusqu’à la
fin du XVIIIe siècle dans certains pays d’Europe (mais les
spécialistes s’entre-déchirent pour décider lesquels au juste) il
était courant d’attaquer les ornements _sur_ le temps, ce qui
présentait également l’avantage de créer une dissonnance en tombant en
même temps que l’harmonie (ou tout au moins la basse) correspondant à
la note réelle -- la version la plus accentuée de ce tic d’écriture
est l’appoggiature ultra-appuyée et ultra-dissonnante qu’on trouve sur
les deux premiers temps des fins de phrase de menuets, par exemplt
https://www.mutopiaproject.org/ftp/MozartWA/KV2/menuet_k2/menuet_k2-preview.png

Personnellement je joue comme cela jusqu’à Haydn inclus, et à partir
de Beethoven/Schubert je passe aux ornements avant le temps. Mais dans
la musique française on trouve dès Couperin ou Rameau des ornements
qui sont manifestement destinés à être joués avant le temps. Il est
certain que, d’un point de vue même de prosodie (la voix parlée), en
France on a beaucoup plus l’habitude de s’appuyer sur la syllabe
finale des mots, et du coup ça nous est moins naturel, dans une
séquence bref-bref-bref-long, de nous appuyer sur la première note
plutôt que sur la dernière (la plus longue) ; d’ailleurs c’est une
écriture rythmique qui a quasiment disparu jusqu’à sa réintroduction
dans la deuxième moitié du XXe siècle lorsque la France a
(tardivement) découvert Bartok. Le langage de mecs récents comme Éric
Tanguy repose entièrement sur ce genre de procédés, du reste très
efficaces.

V.